msgpack::define< Type > Class Template Reference

`#include <object.hpp>`

Inheritance diagram for msgpack::define< Type >:

## Public Types

typedef Type | msgpack_type
typedef define< Type > | define_type

## Public Member Functions

| define ()
| define (const msgpack_type &v)
template<typename Packer >
void | msgpack_pack (Packer &o) const
void | msgpack_unpack (object const &o)

## Member Typedef Documentation

## define_type

template<typename Type >

typedef define<Type> msgpack::define< Type >::define_type

## msgpack_type

template<typename Type >

typedef Type msgpack::define< Type >::msgpack_type

## Constructor & Destructor Documentation

## define() [1/2]

template<typename Type >

msgpack::define< Type >::define | ( |  | ) |

inline

## define() [2/2]

template<typename Type >

msgpack::define< Type >::define | ( | const msgpack_type & | v | ) |

inline

## Member Function Documentation

## msgpack_pack()

template<typename Type >
template<typename Packer >

void msgpack::define< Type >::msgpack_pack | ( | Packer & | o | ) | const

inline

## msgpack_unpack()

template<typename Type >

void msgpack::define< Type >::msgpack_unpack | ( | object const & | o | ) |

inline

References msgpack::operator>>().

The documentation for this class was generated from the following file:

- /build/msgpack-c-9A5dfz/msgpack-c-2.1.5/include/msgpack/v1/object.hpp